/*
 * Copyright 2022 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.drools.compiler.builder.impl;

import java.lang.reflect.Type;
import java.util.HashMap;
import java.util.Map;

public class GlobalVariableContextImpl implements GlobalVariableContext {
    private final Map<String, Type> globals = new HashMap<>();

    @Override
    public Map<String, Type> getGlobals() {
        return this.globals;
    }

    @Override
    public void addGlobal(String name, Type type) {
        globals.put(name, type);
    }

}
